:root {
    --azul-fondo: #000025;
    --dorado: #DAA520;
    --texto: white;
}

body{
    overflow-x: hidden;
}

* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

#div-A{
    height: 100dvh;
    width: 100dvw;
    background-color: var(--azul-fondo);
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
}

#div-A-B{
    height: 90%;
    width: 40%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    border-radius: 20px;
    background-color: var(--azul-fondo);
    border: 1px solid var(--dorado);
}

#div-A-BB{
    height: 90%;
    width: 40%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    border-radius: 20px;
    background-color: var(--azul-fondo);
    border: 1px solid var(--dorado);
}


#div-A-B button {
    background-color: var(--dorado);
    color: var(--azul-fondo);
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 18px;
    transition: background-color 0.3s ease;
}

#div-A-B button:hover {
    background-color: #c0901c; /* Un tono más oscuro de dorado para el hover */
}

#div-A-B input[type="tel"],
#div-A-B textarea {
    background-color: white;
    color: var(--azul-fondo);
    border: 1px solid var(--dorado);
    border-radius: 5px;
    padding: 10px;
    width: 95%; /* Asegurar que mantenga el ancho del padre */
    font-size: 16px;
}

#div-A-B *{
    width: 95%;
    color: var(--texto);
    font-size: 16px;
    padding: 2%;
}

#div-A-B h1 {
    color: var(--dorado);
}

#div-A-BB a {
    color: var(--azul-fondo);
    text-decoration: none;
    font-weight: bold;
}

#div-A-BB a:hover {
    text-decoration: underline;
}

#div-A-BB button {
    background-color: var(--dorado);
    color: var(--azul-fondo);
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 18px;
    transition: background-color 0.3s ease;
}

#div-A-BB button:hover {
    background-color: #00001a; /* Un tono más oscuro de azul para el hover */
}

#div-A-BB input[type="text"] {
    background-color: white;
    color: var(--azul-fondo);
    border: 1px solid var(--azul-fondo);
    border-radius: 5px;
    padding: 10px;
    width: 95%;
    font-size: 16px;
}

#div-A-BB *{
    width: 95%;
    color: var(--texto);
    font-size: 16px;
    padding: 2%;
}



@media screen and (max-aspect-ratio: 1/1) {
    #div-A{
       height: 145dvh;
       flex-direction: column;
    }

    #div-A-B{
        height: 65%;
        width: 90%;
    }
    #div-A-BB{
        height: 30%;
        width: 90%;
    }
}
